
TYPO3.Flow - Bug # 37341

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Security
Created: 2012-05-20 Assigned To: Karsten Dambekalns
Updated: 2012-05-26 Due date:
PHP Version:
Has patch: No
Complexity: no-brainer
Affected Flow version: FLOW3 1.1.0 beta 1
Subject: credentialsSource in Account should be nullable
Description

Not all authentication mechanisms need a "credentials source" (e.g. the typo3.org SSO provider), so the column for the property
should be nullable

Associated revisions
Revision d3e991d4 - 2012-05-20 21:21 - Karsten Dambekalns

[BUGFIX] credentialsSource in Account should be nullable

Not all authentication mechanisms need a "credentials source" (e.g. the
typo3.org SSO provider), so the column for the property should be nullable.

Change-Id: I5dd4e9faea24577f6f4f284a2fa5b24aa115fae6
Fixes: #37341
Releases: 1.1, 1.2

Revision 01f9e3d0 - 2012-05-20 21:23 - Karsten Dambekalns

[BUGFIX] credentialsSource in Account should be nullable

Not all authentication mechanisms need a "credentials source" (e.g. the
typo3.org SSO provider), so the column for the property should be nullable.

Change-Id: Iab29f3855895cd38c68945e8d99c77563dcb0280
Fixes: #37341
Releases: 1.1, 1.2

History
#1 - 2012-05-20 21:22 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11345

#2 - 2012-05-20 21:23 - Gerrit Code Review
Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11346

#3 - 2012-05-26 15:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:01f9e3d082fd7b72bc994dc5abd594b9a737f9b6.
